select t1.tagents_productid,t1.fprodnum, t1.fprodname,t1.funit
from tagents_product t1
where t1.siteid =$siteid$
  and t1.tagentsid=$tagentsid$
  and t1.fprodname like $fprodname$
  and len(t1.fprodname)
    >2